Package com.xebialabs.xlrelease.domain.configuration

## Enum HttpConnection.AuthenticationMethod

- java.lang.Object
- - java.lang.Enum<HttpConnection.AuthenticationMethod>
  - - com.xebialabs.xlrelease.domain.configuration.HttpConnection.AuthenticationMethod

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<HttpConnection.AuthenticationMethod>`
  Enclosing class:
    HttpConnection

      public static enum HttpConnection.AuthenticationMethod
      extends java.lang.Enum<HttpConnection.AuthenticationMethod>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Basic` |
    `None` |
    `Ntlm` |
    `OAuth2` |
    `PAT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HttpConnection.AuthenticationMethod` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static HttpConnection.AuthenticationMethod[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final HttpConnection.AuthenticationMethod None

    - #### Basic

          public static final HttpConnection.AuthenticationMethod Basic

    - #### Ntlm

          public static final HttpConnection.AuthenticationMethod Ntlm

    - #### PAT

          public static final HttpConnection.AuthenticationMethod PAT

    - #### OAuth2

          public static final HttpConnection.AuthenticationMethod OAuth2

  - ### Method Detail

    - #### values

          public static HttpConnection.AuthenticationMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpConnection.AuthenticationMethod c : HttpConnection.AuthenticationMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpConnection.AuthenticationMethod valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null